package com.bwie.auth.config;

import org.springframework.context.annotation.Bean;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Component;

/**
 * @Author：chengjing
 * @Package：com.bwie.auth.config
 * @Project：zuoye4.9
 * @name：InitPasswordEncode
 * @Date：2024/4/10 7:36
 */
@Component
public class InitPasswordEncode {

    @Bean
    public BCryptPasswordEncoder bCryptPasswordEncoder(){
        return new BCryptPasswordEncoder();
    }
}
