package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.response.JwtResponse;
import org.springframework.stereotype.Service;

@Service
public interface AuthService {
    /**
     * 登录
     * @param user
     * @return
     */
    JwtResponse login(User user);

    /**
     * 身份
     * @return
     */
    User getinfo();
    /**
     * 退出
     * @return
     */
    void logout();

    /**
     * 注册
     * @param user
     */
    void insertUser(User user);
}
