package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController {
    @Autowired
    private UserService userService;

    /**
     * 登录
     * @param user
     * @return
     */
    @PostMapping("login")
    public Result<User> login(@RequestBody User user){
        return Result.success(userService.login(user));
    };
    /**
     * 添加用户
     * @param user
     */
    @PostMapping("insertUser")
    public Result<Integer> insertUser(@RequestBody User user){
        return Result.success(userService.insertUser(user));
    };

}
