package com.bwie.common.domain.request;

import lombok.Data;

import java.util.Date;

@Data
public class InsertShopDTO {
    /*  添加购物车表  */
    private Integer sid;
    /**
     * 商品表
     */
    private Integer gid;
    /**
     * 对应商品购买的数量
     */
    private Integer num;
    /**
     * 总金额
     */
    private double  sum;
    /**
     * 车主
     */
    private Integer uid;
    /**
     * 是不是秒杀 0.不是 1.是
     */
    private Integer isRob;



    //  商品名称
    private String  gname;
    //  类型 1.分类1 2.分类2 3.分类3
    private Integer type;
    //  单价
    private double price;
    //  库存
    private Integer  stash;


    //  秒杀表
    private Integer rid;
    // 秒杀名称
    private String rname;
    //  秒杀时间
    private Date staTime;
    //  结束时间
    private Date  endTime;
    //  秒杀限量
    private Integer limited;
    //  秒杀类型 1.类型一 2.类型二
    private Integer rtype;
}
