package com.bwie.common.result;


import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;



/**
 * @ClassName ErrorHandler
 * @Description 描述
 * @Author Wen.Li
 * @Date 2024/1/8 20:49
 */
@RestControllerAdvice
public class ErrorHandler {//全局异常

//    @Autowired
//    private HttpServletRequest request;


    @ExceptionHandler(Exception.class)
    public Result exceptionHandler(Exception exception){
        return new Result(){{
            setCode(500);
            setMsg(exception.getMessage());
        }};
    }
}
