package com.bwie.es.feign;

import com.bwie.common.domain.Goods;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient("bwie-expressage")
public interface EsFeign {
    /**
     * 同步数据
     * @return
     */
    @PostMapping("list")
    Result<List<Goods>> list();
}
